org.apache.hadoop.fs

## Interface RemoteIterator<E>

- All Known Implementing Classes:
    BatchedRemoteIterator, FileSystem.DirListingIterator

      public interface RemoteIterator<E>

  An iterator over a collection whose elements need to be fetched remotely

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Returns `true` if the iteration has more elements.
    `E` | `next()` Returns the next element in the iteration.

- - ### Method Detail

    - #### hasNext

          boolean hasNext()
                   throws IOException

      Returns `true` if the iteration has more elements.
      Returns:
        `true` if the iterator has more elements.
      Throws:
        `IOException` - if any IO error occurs

    - #### next

          E next()
          throws IOException

      Returns the next element in the iteration.
      Returns:
        the next element in the iteration.
      Throws:
        `NoSuchElementException` - iteration has no more elements.
        `IOException` - if any IO error occurs

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.